Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Macros | Functions
cuda_functions.h File Reference

Go to the source code of this file.

## Macros
#define | CUDA_FN(ret, fn, args)
#define | CUDA_FN_OPTIONAL(ret, fn, args)
#define | CUDA_FN_3020(ret, fn, fn_3020, args) CUDA_FN(ret, fn, args)
#define | CUDA_FN_4000(ret, fn, fn_4000, args) CUDA_FN(ret, fn, args)

## Functions
| CUDA_FN (CUresult, cuInit,(unsigned int Flags))
| CUDA_FN (CUresult, cuDeviceGetCount,(int *count))
| CUDA_FN (CUresult, cuDeviceGet,(CUdevice *device, int ordinal))
| CUDA_FN (CUresult, cuDeviceGetAttribute,(int *, CUdevice_attribute attrib, CUdevice dev))
| CUDA_FN (CUresult, cuDeviceGetName,(char *, int len, CUdevice dev))
| CUDA_FN_3020 (CUresult, cuDeviceTotalMem, cuDeviceTotalMem_v2,(size_t *, CUdevice dev))
| CUDA_FN_3020 (CUresult, cuCtxCreate, cuCtxCreate_v2,(CUcontext *pctx, unsigned int flags, CUdevice dev))
| CUDA_FN_4000 (CUresult, cuCtxDestroy, cuCtxDestroy_v2,(CUcontext pctx))
| CUDA_FN (CUresult, cuProfilerStop,())
| CUDA_FN (CUresult, cuCtxGetApiVersion,(CUcontext ctx, unsigned int *version))
| CUDA_FN (CUresult, cuCtxGetDevice,(CUdevice *))
| CUDA_FN (CUresult, cuModuleLoadData,(CUmodule *module, const void *image))
| CUDA_FN (CUresult, cuModuleLoadDataEx,(CUmodule *module, const void *image, unsigned int numOptions, CUjit_option *options, void **optionValues))
| CUDA_FN (CUresult, cuModuleUnload,(CUmodule module))
| CUDA_FN (CUresult, cuModuleGetFunction,(CUfunction *hfunc, CUmodule hmod, const char *name))
| CUDA_FN_3020 (CUresult, cuMemAlloc, cuMemAlloc_v2,(CUdeviceptr *dptr, size_t bytesize))
| CUDA_FN_3020 (CUresult, cuMemFree, cuMemFree_v2,(CUdeviceptr dptr))
| CUDA_FN_3020 (CUresult, cuMemcpyHtoD, cuMemcpyHtoD_v2,(CUdeviceptr dstDevice, const void *srcHost, size_t ByteCount))
| CUDA_FN_3020 (CUresult, cuMemcpyDtoH, cuMemcpyDtoH_v2,(void *dstHost, CUdeviceptr srcDevice, size_t ByteCount))
| CUDA_FN_3020 (CUresult, cuMemcpyDtoD, cuMemcpyDtoD_v2,(CUdeviceptr dstHost, CUdeviceptr srcDevice, size_t ByteCount))
| CUDA_FN_3020 (CUresult, cuMemcpyHtoDAsync, cuMemcpyHtoDAsync_v2,(CUdeviceptr dstDevice, const void *srcHost, size_t ByteCount, CUstream stream))
| CUDA_FN_3020 (CUresult, cuMemcpyDtoHAsync, cuMemcpyDtoHAsync_v2,(void *dstHost, CUdeviceptr srcDevice, size_t ByteCount, CUstream stream))
| CUDA_FN_3020 (CUresult, cuMemcpyDtoDAsync, cuMemcpyDtoDAsync_v2,(CUdeviceptr dstHost, CUdeviceptr srcDevice, size_t ByteCount, CUstream stream))
| CUDA_FN_3020 (CUresult, cuMemcpy3D, cuMemcpy3D_v2,(const CUDA_MEMCPY3D *pCopy))
| CUDA_FN (CUresult, cuLaunchKernel,(CUfunction f, unsigned int gridDimX, unsigned int gridDimY, unsigned int gridDimZ, unsigned int blockDimX, unsigned int blockDimY, unsigned int blockDimZ, unsigned int sharedMemBytes, CUstream hStream, void **kernelParams, void **extra))
| CUDA_FN (CUresult, cuCtxSynchronize,())
| CUDA_FN_4000 (CUresult, cuCtxPushCurrent, cuCtxPushCurrent_v2,(CUcontext ctx))
| CUDA_FN_4000 (CUresult, cuCtxPopCurrent, cuCtxPopCurrent_v2,(CUcontext *pctx))
| CUDA_FN (CUresult, cuPointerGetAttribute,(void *result, int query, CUdeviceptr ptr))
| CUDA_FN_OPTIONAL (CUresult, cuStreamSynchronize,(CUstream hStream))

## Macro Definition Documentation

## ◆ CUDA_FN

#define CUDA_FN | ( |  | ret,
|  |  | fn,
|  |  | args
| ) |  |

Definition at line 7 of file cuda_functions.h.

## ◆ CUDA_FN_OPTIONAL

#define CUDA_FN_OPTIONAL | ( |  | ret,
|  |  | fn,
|  |  | args
| ) |  |

Definition at line 10 of file cuda_functions.h.

## ◆ CUDA_FN_3020

#define CUDA_FN_3020 | ( |  | ret,
|  |  | fn,
|  |  | fn_3020,
|  |  | args
| ) |  | CUDA_FN(ret, fn, args)

Definition at line 13 of file cuda_functions.h.

## ◆ CUDA_FN_4000

#define CUDA_FN_4000 | ( |  | ret,
|  |  | fn,
|  |  | fn_4000,
|  |  | args
| ) |  | CUDA_FN(ret, fn, args)

Definition at line 16 of file cuda_functions.h.

## Function Documentation

## ◆ CUDA_FN() [1/15]

CUDA_FN | ( | CUresult | ,
|  | cuInit | ,
|  | (unsigned int Flags) |
| ) |  |

## ◆ CUDA_FN() [2/15]

CUDA_FN | ( | CUresult | ,
|  | cuDeviceGetCount | ,
|  | (int *count) |
| ) |  |

## ◆ CUDA_FN() [3/15]

CUDA_FN | ( | CUresult | ,
|  | cuDeviceGet | ,
|  | (CUdevice *device, int ordinal) |
| ) |  |

## ◆ CUDA_FN() [4/15]

CUDA_FN | ( | CUresult | ,
|  | cuDeviceGetAttribute | ,
|  | (int *, CUdevice_attribute attrib, CUdevice dev) |
| ) |  |

## ◆ CUDA_FN() [5/15]

CUDA_FN | ( | CUresult | ,
|  | cuDeviceGetName | ,
|  | (char *, int len, CUdevice dev) |
| ) |  |

## ◆ CUDA_FN_3020() [1/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuDeviceTotalMem | ,
|  | cuDeviceTotalMem_v2 | ,
|  | (size_t *, CUdevice dev) |
| ) |  |

## ◆ CUDA_FN_3020() [2/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuCtxCreate | ,
|  | cuCtxCreate_v2 | ,
|  | (CUcontext *pctx, unsigned int flags, CUdevice dev) |
| ) |  |

## ◆ CUDA_FN_4000() [1/3]

CUDA_FN_4000 | ( | CUresult | ,
|  | cuCtxDestroy | ,
|  | cuCtxDestroy_v2 | ,
|  | (CUcontext pctx) |
| ) |  |

## ◆ CUDA_FN() [6/15]

CUDA_FN | ( | CUresult | ,
|  | cuProfilerStop | ,
|  | () |
| ) |  |

## ◆ CUDA_FN() [7/15]

CUDA_FN | ( | CUresult | ,
|  | cuCtxGetApiVersion | ,
|  | (CUcontext ctx, unsigned int *version) |
| ) |  |

## ◆ CUDA_FN() [8/15]

CUDA_FN | ( | CUresult | ,
|  | cuCtxGetDevice | ,
|  | (CUdevice *) |
| ) |  |

## ◆ CUDA_FN() [9/15]

CUDA_FN | ( | CUresult | ,
|  | cuModuleLoadData | ,
|  | (CUmodule *module, const void *image) |
| ) |  |

## ◆ CUDA_FN() [10/15]

CUDA_FN | ( | CUresult | ,
|  | cuModuleLoadDataEx | ,
|  | (CUmodule *module, const void *image, unsigned int numOptions, CUjit_option *options, void **optionValues) |
| ) |  |

## ◆ CUDA_FN() [11/15]

CUDA_FN | ( | CUresult | ,
|  | cuModuleUnload | ,
|  | (CUmodule module) |
| ) |  |

## ◆ CUDA_FN() [12/15]

CUDA_FN | ( | CUresult | ,
|  | cuModuleGetFunction | ,
|  | (CUfunction *hfunc, CUmodule hmod, const char *name) |
| ) |  |

## ◆ CUDA_FN_3020() [3/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemAlloc | ,
|  | cuMemAlloc_v2 | ,
|  | (CUdeviceptr *dptr, size_t bytesize) |
| ) |  |

## ◆ CUDA_FN_3020() [4/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemFree | ,
|  | cuMemFree_v2 | ,
|  | (CUdeviceptr dptr) |
| ) |  |

## ◆ CUDA_FN_3020() [5/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyHtoD | ,
|  | cuMemcpyHtoD_v2 | ,
|  | (CUdeviceptr dstDevice, const void *srcHost, size_t ByteCount) |
| ) |  |

## ◆ CUDA_FN_3020() [6/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyDtoH | ,
|  | cuMemcpyDtoH_v2 | ,
|  | (void *dstHost, CUdeviceptr srcDevice, size_t ByteCount) |
| ) |  |

## ◆ CUDA_FN_3020() [7/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyDtoD | ,
|  | cuMemcpyDtoD_v2 | ,
|  | (CUdeviceptr dstHost, CUdeviceptr srcDevice, size_t ByteCount) |
| ) |  |

## ◆ CUDA_FN_3020() [8/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyHtoDAsync | ,
|  | cuMemcpyHtoDAsync_v2 | ,
|  | (CUdeviceptr dstDevice, const void *srcHost, size_t ByteCount, CUstream stream) |
| ) |  |

## ◆ CUDA_FN_3020() [9/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyDtoHAsync | ,
|  | cuMemcpyDtoHAsync_v2 | ,
|  | (void *dstHost, CUdeviceptr srcDevice, size_t ByteCount, CUstream stream) |
| ) |  |

## ◆ CUDA_FN_3020() [10/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpyDtoDAsync | ,
|  | cuMemcpyDtoDAsync_v2 | ,
|  | (CUdeviceptr dstHost, CUdeviceptr srcDevice, size_t ByteCount, CUstream stream) |
| ) |  |

## ◆ CUDA_FN_3020() [11/11]

CUDA_FN_3020 | ( | CUresult | ,
|  | cuMemcpy3D | ,
|  | cuMemcpy3D_v2 | ,
|  | (const CUDA_MEMCPY3D *pCopy) |
| ) |  |

## ◆ CUDA_FN() [13/15]

CUDA_FN | ( | CUresult | ,
|  | cuLaunchKernel | ,
|  | (CUfunction f, unsigned int gridDimX, unsigned int gridDimY, unsigned int gridDimZ, unsigned int blockDimX, unsigned int blockDimY, unsigned int blockDimZ, unsigned int sharedMemBytes, CUstream hStream, void **kernelParams, void **extra) |
| ) |  |

## ◆ CUDA_FN() [14/15]

CUDA_FN | ( | CUresult | ,
|  | cuCtxSynchronize | ,
|  | () |
| ) |  |

## ◆ CUDA_FN_4000() [2/3]

CUDA_FN_4000 | ( | CUresult | ,
|  | cuCtxPushCurrent | ,
|  | cuCtxPushCurrent_v2 | ,
|  | (CUcontext ctx) |
| ) |  |

## ◆ CUDA_FN_4000() [3/3]

CUDA_FN_4000 | ( | CUresult | ,
|  | cuCtxPopCurrent | ,
|  | cuCtxPopCurrent_v2 | ,
|  | (CUcontext *pctx) |
| ) |  |

## ◆ CUDA_FN() [15/15]

CUDA_FN | ( | CUresult | ,
|  | cuPointerGetAttribute | ,
|  | (void *result, int query, CUdeviceptr ptr) |
| ) |  |

## ◆ CUDA_FN_OPTIONAL()

CUDA_FN_OPTIONAL | ( | CUresult | ,
|  | cuStreamSynchronize | ,
|  | (CUstream hStream) |
| ) |  |